GCLOUD_COMPUTE_NETWORKS_SUBNETS_EXPAND-IP-RANGE(1)

NAME

gcloud compute networks subnets expand-ip-range - expand the IP range of a Google Compute Engine subnetwork

SYNOPSIS

gcloud compute networks subnets expand-ip-range NAME --prefix-length=PREFIX_LENGTH [--region=REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute networks subnets expand-ip-range is used to expand the IP range of a subnetwork in a custom mode network.

POSITIONAL ARGUMENTS

    NAME
        The name of the subnetwork.

REQUIRED FLAGS

    --prefix-length=PREFIX_LENGTH
        The new prefix length of the subnet. It must be smaller than the original and in the private address space 10.0.0.0/8, 172.16.0.0/12 or 192.168.0.0/16 defined in RFC 1918.

OPTIONAL FLAGS

    --region=REGION
        The region of the subnetwork to operate on. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To expand the IP range of SUBNET to /16, run:
    $ gcloud compute networks subnets expand-ip-range SUBNET \
        --region us-central1 --prefix-length 16